Skip to content

InventoryGeneral⁠

Perform various operations for Symitar parameters.

Operations⁠

getInventoryGeneralSelectFields⁠

POST

Execute the persistent ParameterService getInventoryGeneralSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryGeneralSelectFields
POST /nexum/627/persistent/parameter/getInventoryGeneralSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllInventoryGeneralFields": true,
    "InventoryGeneralFields": {
      "MoInventoryTypes": true,
      "MsInventoryTypes": true,
      "RnInventoryTypes": true,
      "SbAcqMoInventoryTypes": true,
      "SbAcqMsInventoryTypes": true,
      "SbAcqTcInventoryTypes": true,
      "TcInventoryTypes": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateInventoryGeneralByID⁠

POST

Execute the persistent ParameterService updateInventoryGeneralByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateInventoryGeneralByID
POST /nexum/627/persistent/parameter/updateInventoryGeneralByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "InventoryGeneralFields": {
    "MoInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "MsInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "RnInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "SbAcqMoInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "SbAcqMsInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "SbAcqTcInventoryTypes": {
      "Bit": [
        0
      ]
    },
    "TcInventoryTypes": {
      "Bit": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}